package carpool

import (
	"time"

	"git.coopgo.io/coopgo-platform/carpool-service/interoperability/ocss"
)

type CarpoolOperatorAPI interface {
	GetOperatorId() string
	GetDriverJourneys(departureLat float64, departureLng float64, arrivalLat float64, arrivalLng float64, departureDate time.Time, timeDelta *time.Duration, departureRadius int64, arrivalRadius int64, count int64) ([]ocss.DriverJourney, error)
	GetPassengerJourneys(departureLat float64, departureLng float64, arrivalLat float64, arrivalLng float64, departureDate time.Time, timeDelta *time.Duration, departureRadius int64, arrivalRadius int64, count int64) ([]ocss.PassengerJourney, error)
}
